Substy Developers
Campaigns

Create subscription promotion

Create a creator subscription discount promotion with its discount percentage, audience, duration and signup limits.

POST/v1/agencies/{agencyId}/creators/{creatorId}/promotions

Create a creator subscription discount promotion with its discount percentage, audience, duration and signup limits.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
creatorId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/agencies/string/creators/string/promotions" \  -H "Authorization: Bearer YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "discount": 0,    "finishDays": 1,    "subscribeCounts": 0,    "subscribeDays": 0,    "type": [      "all"    ]  }'
{  "data": [    {      "id": "string",      "message": "string",      "price": 0,      "type": "string",      "canClaim": true,      "claimsCount": 0,      "subscribeCounts": 0,      "subscribeDays": 0,      "createdAt": "string",      "finishedAt": "string",      "isFinished": true    }  ],  "meta": {    "requestId": "string",    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "status": "COMPLETED"  }}